toolzerhub API Docs

Search

Returns results matching required search_term. Optional fields select result type, duration, features, publication window, ordering, localization, and pagination.

1 credit / requestBilled only on success
GET
/v2/youtube/search

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

search_term*string

Text to search for.

Length1 <= length
result_kind?string

Limit results to one content kind.

Value in

  • "video"
  • "channel"
  • "playlist"
  • "movie"
  • "shorts"
length_filter?string

Filter videos by duration.

Value in

  • "under_3_minutes"
  • "between_3_and_20_minutes"
  • "over_20_minutes"
feature_filters?array<>

Comma-separated video features that every result must have.

published_within?string

Restrict results by upload period.

Value in

  • "today"
  • "week"
  • "month"
  • "year"
sort_order?string

Result order. Available values: relevance, popularity.

Value in

  • "relevance"
  • "popularity"
region_code?string

Two-letter country code used to localize the results.

language_code?string

Language code used to localize text and audio results.

page_cursor?string

Cursor returned by the previous response.

curl -X GET "https://example.com/v2/youtube/search?search_term=beginner+astrophotography" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": [      {        "property1": null,        "property2": null      }    ],    "page_cursor": "string",    "estimatedResults": "string",    "property1": null,    "property2": null  }}